## gcc-13 13.4.0

=== debian/changelog ===
gcc-13 (13.4.0-4ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Sep 2025 07:19:14 +0200

gcc-13 (13.4.0-4) unstable; urgency=medium

  * Update to git 20250908 from the gcc-13 branch.
    - Includes libgphobos build fixes for ppc64el and sparc64.
  * Build again using GCC 13.
  * Re-enable running the testsuite.
  * Stop building the amdgcn offload compiler for forky.
  * libstdc++-dev: Fix dependency on libc, when libstdc++ is not built.
  * Bump debhelper version to 11.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Sep 2025 07:15:11 +0200

gcc-13 (13.4.0-3) unstable; urgency=medium

  * Update to git 20250907 from the gcc-13 branch.
    - Fix PR libstdc++/121745, PR libstdc++/121097, PR libstdc++/110853.
  * Build libgphobos on sparc64.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Sep 2025 17:22:44 +0200

gcc-13 (13.4.0-2ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Sep 2025 07:35:37 +0200

gcc-13 (13.4.0-2) unstable; urgency=medium

  * Update to git 20250901 from the gcc-13 branch.
    - Fix PR target/121608 (AVR), PR target/121118 (AArch64),
      PR rtl-optimization/121253, PR target/121449 (AArch64),
      PR target/121294 (AArch64), PR target/121294 (AArch64),
      PR target/121208 (x86), PR target/120427 (x86), PR target/120908 (x86),
      PR middle-end/117811, PR c++/120620, PR c++/120940, PR c++/120471,
      PR c++/120123, PR target/120691 (x86), PR libstdc++/99832,
      PR libstdc++/120548, PR libstdc++/118160, PR libstdc++/100249.
  * Drop the pr99832-distro patch.
  * Build full libgphobos on ppc64el for IEEE long double.
  * Build using GCC 12 for the libgphobos bootstrap.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Sep 2025 06:41:46 +0200

gcc-13 (13.4.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Jun 2025 20:38:43 +0200

gcc-13 (13.4.0-1) unstable; urgency=medium

  * GCC 13.4.0 release.
  * Update newlib to 4.5.0.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Jun 2025 21:21:21 +0200

gcc-13 (13.3.0-17ubuntu2) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Jun 2025 08:58:23 +0200

gcc-13 (13.3.0-17) unstable; urgency=medium

  * Update to git 20250531 from the gcc-13 branch (13.4 release candidate).
    - Fix PR target/119834 (S390), PR tree-optimization/111873,
      PR target/119172, PR target/114676 (S390), PR target/118623 (x86),
      PR middle-end/118819, PR rtl-optimization/117239,
      PR rtl-optimization/117239, PR tree-optimization/117358,
      PR rtl-optimization/113994, PR rtl-optimization/116799,
      PR sanitizer/110676, PR tree-optimization/113673, PR ipa/116055,
      PR tree-optimization/119534, PR tree-optimization/98845,
      PR middle-end/119119, PR tree-optimization/119057,
      PR tree-optimization/117979, PR tree-optimization/119778,
      PR middle-end/119706, PR target/119327 (PPC),
      PR tree-optimization/117287, PR c++/115358, PR c++/117792,
      PR c++/119233, PR c++/106760, PR c++/115656, PR c++/116418,
      PR c++/118060, PR c++/116320, PR c++/113976, PR c++/116636,
      PR c++/116606, PR c++/116954, PR fortran/120191, PR target/116809,
      PR libfortran/120196, PR fortran/120191, PR libstdc++/112490,
      PR libstdc++/112641, PR libstdc++/115046, PR libstdc++/112490,
      PR libstdc++/112490, PR libstdc++/119135.

 -- Matthias Klose <doko@debian.org>  Sat, 31 May 2025 07:45:57 +0200

gcc-13 (13.3.0-16) unstable; urgency=medium

  * Update to git 20250514 from the gcc-13 branch.
    - Fix PR ipa/119852, PR middle-end/118411, PR target/119610 (AArch64),
      PR debug/101533, PR middle-end/101478, PR tree-optimization/87984,
      PR middle-end/66279, PR tree-optimization/111125, PR c++/79786,
      PR lto/91299, PR libstdc++/112351.
  * Ada: revert upstream a210011c, restore libgnat hash.  See: #1104593.
  * libsanitizer: Fix build with glibc 2.42.

 -- Matthias Klose <doko@debian.org>  Wed, 14 May 2025 10:16:33 +0200

gcc-13 (13.3.0-15) unstable; urgency=medium

  * Update to git 20250502 from the gcc-13 branch.
    - Fix PR ada/112958.
  * Fix multilib installation for PR libstdc++/103382. Closes: #1104493.
  * gnat: Add gnat-N-<triplet> conflicts. Closes: #1063664.

 -- Matthias Klose <doko@debian.org>  Sat, 03 May 2025 20:43:18 +0200

gcc-13 (13.3.0-14ubuntu1) questing; urgency=medium

  * Build-depend on questing's base-files.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Apr 2025 13:45:10 +0200

gcc-13 (13.3.0-14) experimental; urgency=medium

  * Update to git 20250430 from the gcc-13 branch.
    - Fix PR tree-optimization/118924, PR tree-optimization/118924,
      PR tree-optimization/119399, PR tree-optimization/116125,
      PR target/119235 (S390), PR rtl-optimization/119785,
      PR driver/119727, PR lto/119625, PR rtl-optimization/119291,
      PR middle-end/119204, PR middle-end/119219, PR c/119183,
      PR c/114870, PR tree-optimization/118915, PR ipa/117432,
      PR target/118776 (x86), PR tree-optimization/118689,
      PR middle-end/114877, PR middle-end/118024, PR sanitizer/117960,
      PR rtl-optimization/117095, PR target/117642, PR middle-end/102674,
      PR middle-end/43374, PR tree-optimization/94589,
      PR tree-optimization/117612, PR tree-optimization/117439,
      PR target/117296, PR middle-end/117249, PR sanitizer/117209,
      PR target/116738 (x86), PR tree-optimization/116412,
      PR middle-end/113546, PR tree-optimization/118922,
      PR tree-optimization/117243, PR tree-optimization/116749,
      PR tree-optimization/116922, PR middle-end/111285,
      PR rtl-optimization/119689, PR rtl-optimization/115568,

