=== debian/control ===
Source: gcc-13
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 sparc sparc64 x32] <!cross>,
  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-amd64 hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-amd64 kfreebsd-i386] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-amd64 hurd-i386] | libc0.1-dbg [kfreebsd-amd64 kfreebsd-i386] | libc6-dbg,
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k],
  m4, libtool, autoconf2.69, gcc-14-base,
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64],
  gawk, lzma, xz-utils, patchutils,
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any],
  binutils:native (>= 2.39), binutils-hppa64-linux-gnu:native (>= 2.39) [hppa amd64 i386 x32],
  gperf (>= 3.0.1), bison (>= 1:2.3), flex,
  gettext, nvptx-tools [amd64 arm64 ppc64el], amdgcn-tools [amd64],
  texinfo (>= 4.3), locales-all, sharutils,
  procps, gnat-13:native [!arc !ia64 !loong64 !sh3 !sh3eb !sh4eb !hurd-amd64], g++-13:native, netbase, gdc-13:native [!arc !ia64 !loong64 !m68k !sh4 !s390 !alpha !hurd-alpha !hurd-amd64 !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386], python3:any,
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>,
  dejagnu <!nocheck>, git <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, time,
  pkgconf, libgc-dev,
  g++-13-for-host <cross>, gobjc-13-for-host [!avr] <cross>, gfortran-13-for-host <cross>, gdc-13-for-host [!s390 !sh4] <cross>, gccgo-13-for-host [!hppa !m68k !sh4] <cross>, gnat-13-for-host [!m68k] <cross>, gm2-13-for-host [!loong64 !powerpc !ppc64 !sh4 !hurd-amd64 !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386] <cross>,
Build-Depends-Indep: doxygen (>= 1.7.2) <!nodoc>, graphviz (>= 2.2) <!nodoc>, ghostscript <!nodoc>, texlive-latex-base <!nodoc>, xsltproc <!nodoc>, libxml2-utils <!nodoc>, docbook-xsl-ns <!nodoc>,
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc/tree/gcc-13-debian
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git -b gcc-13-debian
XS-Testsuite: autopkgtest
Rules-Requires-Root: binary-targets

Package: gcc-13-base
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: ${base:Breaks}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-13-dev
X-DH-Build-For-Type: target
Architecture: any
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-13-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm},
 ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan},
 ${dep:libtsan}, ${dep:libubsan}, ${dep:libhwasan}, ${dep:libvtv},
 ${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Breaks: libtsan2 (<< 12-20211113-2~)
Replaces: libtsan2 (<< 12-20211113-2~)
Multi-Arch: same
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib64gcc-13-dev
X-DH-Build-For-Type: target
Architecture: i386 powerpc sparc s390 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el x32
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-13-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (64bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib32gcc-13-dev
X-DH-Build-For-Type: target
Architecture: amd64 ppc64 kfreebsd-amd64 sparc64 x32 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-13-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (32 bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libn32gcc-13-dev
X-DH-Build-For-Type: target
Architecture: mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-13-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (n32 development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libx32gcc-13-dev
X-DH-Build-For-Type: target
Architecture: amd64 i386
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-13-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (x32 development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: gcc-13-alpha-linux-gnu
Architecture: alpha
Multi-Arch: foreign
Depends: cpp-13-alpha-linux-gnu (= ${gcc:Version}), gcc-13-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-alpha-linux-gnu (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Replaces: cpp-13-alpha-linux-gnu (<< 7.1.1-8), gcc-13 (<< 13.2.0-11)
Breaks: gcc-13 (<< 13.2.0-11)
Suggests: gcc-13-doc (>= ${gcc:SoftVersion}),
 gcc-13-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-alpha-linux-gnu
Description: GNU C compiler for the alpha-linux-gnu architecture
 This is the GNU C compiler for the alpha-linux-gnu architecture,
 a fairly portable optimizing compiler for C.

Package: gcc-13-x86-64-linux-gnu
Architecture: amd64
Multi-Arch: foreign
Depends: cpp-13-x86-64-linux-gnu (= ${gcc:Version}), gcc-13-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-x86-64-linux-gnu (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Replaces: cpp-13-x86-64-linux-gnu (<< 7.1.1-8), gcc-13 (<< 13.2.0-11)
Breaks: gcc-13 (<< 13.2.0-11)
Suggests: gcc-13-doc (>= ${gcc:SoftVersion}),
 gcc-13-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-x86-64-linux-gnu
Description: GNU C compiler for the x86_64-linux-gnu architecture
 This is the GNU C compiler for the x86_64-linux-gnu architecture,
 a fairly portable optimizing compiler for C.

Package: gcc-13-arm-linux-gnueabi
Architecture: armel
Multi-Arch: foreign
Depends: cpp-13-arm-linux-gnueabi (= ${gcc:Version}), gcc-13-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-arm-linux-gnueabi (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Replaces: cpp-13-arm-linux-gnueabi (<< 7.1.1-8), gcc-13 (<< 13.2.0-11)
Breaks: gcc-13 (<< 13.2.0-11)
Suggests: gcc-13-doc (>= ${gcc:SoftVersion}),
 gcc-13-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-arm-linux-gnueabi
Description: GNU C compiler for the arm-linux-gnueabi architecture
 This is the GNU C compiler for the arm-linux-gnueabi architecture,
 a fairly portable optimizing compiler for C.

Package: gcc-13-arm-linux-gnueabihf
Architecture: armhf
Multi-Arch: foreign
Depends: cpp-13-arm-linux-gnueabihf (= ${gcc:Version}), gcc-13-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-arm-linux-gnueabihf (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Replaces: cpp-13-arm-linux-gnueabihf (<< 7.1.1-8), gcc-13 (<< 13.2.0-11)
Breaks: gcc-13 (<< 13.2.0-11)
Suggests: gcc-13-doc (>= ${gcc:SoftVersion}),
 gcc-13-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-arm-linux-gnueabihf
Description: GNU C compiler for the arm-linux-gnueabihf architecture
 This is the GNU C compiler for the arm-linux-gnueabihf architecture,
 a fairly portable optimizing compiler for C.

Package: gcc-13-aarch64-linux-gnu
Architecture: arm64
Multi-Arch: foreign
Depends: cpp-13-aarch64-linux-gnu (= ${gcc:Version}), gcc-13-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-aarch64-linux-gnu (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Replaces: cpp-13-aarch64-linux-gnu (<< 7.1.1-8), gcc-13 (<< 13.2.0-11)
Breaks: gcc-13 (<< 13.2.0-11)
Suggests: gcc-13-doc (>= ${gcc:SoftVersion}),
 gcc-13-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-aarch64-linux-gnu
Description: GNU C compiler for the aarch64-linux-gnu architecture
 This is the GNU C compiler for the aarch64-linux-gnu architecture,
 a fairly portable optimizing compiler for C.

Package: gcc-13-i686-linux-gnu
Architecture: i386
Multi-Arch: foreign
Depends: cpp-13-i686-linux-gnu (= ${gcc:Version}), gcc-13-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-i686-linux-gnu (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Replaces: cpp-13-i686-linux-gnu (<< 7.1.1-8), gcc-13 (<< 13.2.0-11)
Breaks: gcc-13 (<< 13.2.0-11)
Suggests: gcc-13-doc (>= ${gcc:SoftVersion}),
 gcc-13-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-i686-linux-gnu
Description: GNU C compiler for the i686-linux-gnu architecture
 This is the GNU C compiler for the i686-linux-gnu architecture,
